CommandLine.Spec.Target (picocli 4.6.3 API)

picocli

## Enum CommandLine.Spec.Target

- java.lang.Object
- - java.lang.Enum<CommandLine.Spec.Target>
  - - picocli.CommandLine.Spec.Target

- All Implemented Interfaces:
    Serializable, Comparable<CommandLine.Spec.Target>
  Enclosing class:
    CommandLine.Spec

      public static enum CommandLine.Spec.Target
      extends Enum<CommandLine.Spec.Target>

  Identifies what kind of `CommandSpec` should be injected.
  Since:
    4.3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MIXEE` Injects the `CommandSpec` of the "mixee" command that receives the options and other command elements defined here, or `null` if this commands is not mixed into another command.
    `SELF` Injects the `CommandSpec` of the command where this `@Spec`-annotated program element is declared.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandLine.Spec.Target` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommandLine.Spec.Target[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELF

          public static final CommandLine.Spec.Target SELF

      Injects the `CommandSpec` of the command where this `@Spec`-annotated program element is declared.

    - #### MIXEE

          public static final CommandLine.Spec.Target MIXEE

      Injects the `CommandSpec` of the "mixee" command that receives the options and other command elements defined here, or `null` if this commands is not mixed into another command. The "mixee" command has a `@Mixin`-annotated program element with the type of the class where this `@Spec`-annotated program element is declared.

  - ### Method Detail

    - #### values

          public static CommandLine.Spec.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandLine.Spec.Target c : CommandLine.Spec.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandLine.Spec.Target valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null